package org.example.file.text;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.LinkedList;

import org.example.file.Book;
import org.example.file.Files;
import org.objectweb.telosys.util.file.GenericFileParser;

public class TextToBooks 
{
	public static void main(String[] args)
    {
        GenericFileParser parser = new TextToBooksParser();
        
        try
        {
            //--- Parse with file name
        	parser.parse( Files.getTextFileName() );            

        } catch (FileNotFoundException e)
        {
            e.printStackTrace();
        } catch (IOException e)
        {
            e.printStackTrace();
        }
        
        System.out.println("=== Books loaded from file : "); 
        @SuppressWarnings("unchecked")
        LinkedList<Book> books = ( LinkedList<Book> )parser.getResult();        
        for ( Book book : books ) {
        	System.out.println(" . " + book.toString() );
        }
    }

}
